Bug 1130292 - Guided rule editor does not save any then clause values, but at least it tells me it won't save them
Summary: Guided rule editor does not save any then clause values, but at least it tell...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: DR1
: 6.2.0
Assignee: Toni Rikkola
QA Contact: Marián Macik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 19:15 UTC by Jim Tyrrell
Modified: 2015-09-23 14:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
Values in the editor. (48.75 KB, image/png)
2014-08-14 19:15 UTC, Jim Tyrrell
no flags Details
It doesn't always seem I get this error, but for sure my data is gone!!! (28.08 KB, image/png)
2014-08-14 19:16 UTC, Jim Tyrrell
no flags Details
The rule (55.20 KB, image/png)
2015-02-13 21:52 UTC, Marián Macik
no flags Details
Source code of the rule (43.86 KB, image/png)
2015-02-13 21:55 UTC, Marián Macik
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1042508 None None None Never

Internal Links: 1042508

Description Jim Tyrrell 2014-08-14 19:15:56 UTC
Created attachment 926887 [details]
Values in the editor.

Description of problem:
Create some values in the then clause as seen in the screen shot.
Then click the save button, it says it saved the rule.
Click the x then it shows a message saying some values won't be saved.
Re open and the inputed values are gone.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jim Tyrrell 2014-08-14 19:16:41 UTC
Created attachment 926888 [details]
It doesn't always seem I get this error, but for sure my data is gone!!!

Comment 3 Jiri Locker 2014-08-15 16:30:05 UTC
Can't reproduce with BRMS 6.0.2 in Chrome 36 and Firefox 31. Haven't tried Safari.

Comment 4 Jim Tyrrell 2014-08-15 16:45:17 UTC
That is mighty annoying, I have it broken in Safari.

Breaks in Firefox 31 on Max OS X, hmm seems like I am special.

What do you want me to do to help get this resolved.

Comment 5 manstis 2014-11-06 14:09:10 UTC
I cannot reproduce either.

The popup "Are you sure you want to discard unsaved data" is shown when you make a change to the rule's definition and try to close it. Even if you change something and then set it back to it's original value you will still receive the prompt.

Can you please provide steps to reproduce?

Comment 8 Marián Macik 2015-02-13 21:46:11 UTC
I have tried to reproduce it on ER4 with EAP 6.3, but I wasn't able to.

1. I created a rule and saved it.
2. I changed something and verified that source changed too. Then I changed definition again so source looked exactly like in the first point after saving.
3. I closed the editor and no message was displayed.

I was about to mark it as verified but then I noticed something different, but related to this issue.

The issue is this:

When you change a value of a setter (so the guided editor is displaying "Set value of MyClass") and you try to close the editor - it warns you: "Are you sure you want to discard unsaved data?". This is expected behaviour. But when you change a value of a method parameter (so the guided editor is displaying 	
Call [p.setVariable]) and you try to close the editor - it simply closes the editor and does not warn you. I will attach an image of my rule - I am using WorkflowProcessInstance setVariable method for method call and class MyClass with one String field called string, so I can call setString() setter on it. I will also attach source code of my rule just to make things clear. I've also tried it with a call of a method which has one parameter - effect is the same (no warning when you close the editor), so it is not related with the number of parameters.

I think it should be fixed. I will mark it as verified then.

Comment 9 Marián Macik 2015-02-13 21:52:28 UTC
Created attachment 991610 [details]
The rule

Comment 10 Marián Macik 2015-02-13 21:55:14 UTC
Created attachment 991611 [details]
Source code of the rule

Comment 13 Toni Rikkola 2015-03-13 13:04:38 UTC
Had to revert the changes into drools-workbench-models-guided-dtree. They are not mandatory for this fix.


http://github.com/droolsjbpm/drools/commit/6ea324fdb

Comment 14 Marián Macik 2015-09-23 14:15:35 UTC
It works as intended. Verified with 6.2.0.ER3.


Note You need to log in before you can comment on or make changes to this bug.